var usert = false;
var Gusert = false;
var Susert = false;
//检查用户名
function checkNameInput(){
	obj = $("input[name='txtName']");
	str = $.trim(obj.val());
	if(str=="")
	{
	obj1 = $("input[name='txtName1']");
	str = $.trim(obj1.val());
	}
	if(str == ""){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能为空");
		return false;
	}else if(str.length <3){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名少于3个字符");
		return false;
	}else if(str.length >15){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能超过15个字符");
		return false;
	}else if(isSearch(str)){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;不能包含特殊字符");
		return false;
	}else{
	
	   ckuname(encodeURI(str));
	
	}
}

function GcheckNameInput(){
	obj = $("input[name='username']");
	str = $.trim(obj.val());
	
	if(str == ""){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能为空");
		return false;
	}else if(str.length <3){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名少于3个字符");
		return false;
	}else if(str.length >15){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能超过15个字符");
		return false;
	}else if(isSearch(str)){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;不能包含特殊字符");
		return false;
	}else{
	
	   Gckuname(encodeURI(str));
	
	}
}
function ScheckNameInput(){
	obj = $("input[name='username']");
	str = $.trim(obj.val());
	
	if(str == ""){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能为空");
		return false;
	}else if(str.length <3){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名少于3个字符");
		return false;
	}else if(str.length >15){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能超过15个字符");
		return false;
	}else if(isSearch(str)){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;不能包含特殊字符");
		return false;
	}else{
	
	   Sckuname(encodeURI(str));
	
	}
}
function checkque(){
	obj = $("input[name='txtQuestion']");
	str = $.trim(obj.val());
	
	if(str == ""){
		$("#ques").html(errimg+"&nbsp;&nbsp;密码找回问题不能为空");
		return false;
	}else if(isSearch(str)){
		$("#ques").html(errimg+"&nbsp;&nbsp;密码找回问题不能包含特殊字符");
		return false;
	}else{
	
	  $("#ques").html("最好设成别人不知道答案的问题");
		return true;
	
	}
}
function Gcheckque(){
	obj = $("input[name='CompanyName']");
	str = $.trim(obj.val());
	
	if(str == ""){
		$("#ques").html(errimg+"&nbsp;&nbsp;供应商名称不能为空");
		return false;
	}else if(isSearch(str)){
		$("#ques").html(errimg+"&nbsp;&nbsp;供应商名称不能包含特殊字符");
		return false;
	}else{
	
	  $("#ques").html("填写供应商公司名称");
		return true;
	
	}
}
function Scheckque(){
	obj = $("input[name='CompanyName']");
	str = $.trim(obj.val());
	
	if(str == ""){
		$("#ques").html(errimg+"&nbsp;&nbsp;公司名称不能为空");
		return false;
	}else if(isSearch(str)){
		$("#ques").html(errimg+"&nbsp;&nbsp;公司名称不能包含特殊字符");
		return false;
	}else{
	
	  $("#ques").html("填写公司名称，个人请填写真实姓名");
		return true;
	
	}
}
function Gchecktel(){
	obj = $("input[name='Tel']");
	str = $.trim(obj.val());
	
	if(str == ""){
		$("#telinfo").html(errimg+"&nbsp;&nbsp;联系电话不能为空");
		return false;
	}else if(!checkPhone(str)){
	$("#telinfo").html(errimg+"&nbsp;&nbsp;请输入带有区号的电话号码，如：0000-0000000");
		return false;
	}else{
	
	  $("#telinfo").html("准确填写联系电话，方便联系");
		return true;
	
	}
}
function checkPhone(tlstr)
{
    var reg=/(^[0-9]{3,4}\-[0-9]{7,8}$)|(^[0-9]{7,8}$)|(^\([0-9]{3,4}\)[0-9]{3,8}$)|(^0{0,1}13[0-9]{9}$)/;
	
	if(reg.test(tlstr) == false)
	{
		return false;
	}
	return true;

}


function Schecktel(){
	obj = $("input[name='dianhua']");
	str = $.trim(obj.val());
	
	if(str == ""){
		$("#telinfo").html(errimg+"&nbsp;&nbsp;联系电话不能为空");
		return false;
	}else if(!checkPhone(str)){
	$("#telinfo").html(errimg+"&nbsp;&nbsp;请输入带有区号的电话号码，如：0000-0000000");
		return false;
	}else{
	
	  $("#telinfo").html("准确填写联系电话，方便联系");
		return true;
	
	}
}
function Gcheckman(){
	obj = $("input[name='Linkman']");
	str = $.trim(obj.val());
	
	if(str == ""){
		$("#maninfo").html(errimg+"&nbsp;&nbsp;联系人不能为空");
		return false;
	}else{
	
	  $("#maninfo").html("填写联系人，方便联系");
		return true;
	
	}
}
function Scheckman(){
	obj = $("input[name='Linkman']");
	str = $.trim(obj.val());
	
	if(str == ""){
		$("#maninfo").html(errimg+"&nbsp;&nbsp;联系人不能为空");
		return false;
	}else{
	
	  $("#maninfo").html("填写联系人，方便联系");
		return true;
	
	}
}
function Scheckqq(){
	obj = $("input[name='qq']");
	str = $.trim(obj.val());
	
	if(str == ""){
		$("#qqinfo").html(errimg+"&nbsp;&nbsp;客服QQ不能为空");
		return false;
	}else{
	
	  $("#qqinfo").html("填写客服QQ，方便提供售后服务");
		return true;
	
	}
}
function Scheckdp(){
	obj = $("input[name='tbzh']");
	str = $.trim(obj.val());
	
	if(str == ""){
		$("#dpinfo").html(errimg+"&nbsp;&nbsp;店铺名称不能为空");
		return false;
	}else{
	
	  $("#dpinfo").html("填写您的特色店铺名称");
		return true;
	
	}
}
function Gcheckmob(){
	obj = $("input[name='qq']");
	str = $.trim(obj.val());
	var cellphone=/^(130|131|132|133|134|135|136|137|138|139|158|159|151|153|154|156|157|150|158|188|189|152|186|187|155|182|183|184|185)\d{8}$/;
	if(str == ""){
		$("#mobinfo").html(errimg+"&nbsp;&nbsp;手机号码不能为空");
		return false;
	}else if(!cellphone.test(str)){
	
				$("#mobinfo").html(errimg+"&nbsp;&nbsp;手机号码填写不正确");
		        return false;

	
	}else
	{
	  $("#mobinfo").html("填写正确的手机号，方便联系");
		return true;
	
	}
}
function Scheckmob(){
	obj = $("input[name='Tel']");
	str = $.trim(obj.val());
	var cellphone=/^(130|131|132|133|134|135|136|137|138|139|158|159|151|153|154|156|157|150|158|188|189|152|186|187|155|182|183|184|185)\d{8}$/;
	if(str == ""){
		$("#mobinfo").html(errimg+"&nbsp;&nbsp;手机号码不能为空");
		return false;
	}else if(!cellphone.test(str)){
	
				$("#mobinfo").html(errimg+"&nbsp;&nbsp;手机号码填写不正确");
		        return false;

	
	}else
	{
	  $("#mobinfo").html("填写正确的手机号，方便联系");
		return true;
	
	}
}
function checkda(){
	obj = $("input[name='txtAnswer']");
	str = $.trim(obj.val());
	if(str == ""){
		$("#daan").html(errimg+"&nbsp;&nbsp;密码找回答案不能为空");
		return false;
	}
	else if($("input[name='txtQuestion']").val() == str){
		$("#daan").addClass("cred");
		$("#daan").html(errimg+"&nbsp;&nbsp;问题和答案不能一样");
		return false;
	}else{
	
	  $("#daan").html("用于取回密码。请尽量设得复杂");
		return true;
	
	}
}
function Gcheckda(){
	obj = $("input[name='CompanyAddress']");
	str = $.trim(obj.val());
	if(str == ""){
		$("#daan").html(errimg+"&nbsp;&nbsp;详细的地址不能为空");
		return false;
	}
	else if(isSearch(str)){
		$("#daan").html(errimg+"&nbsp;&nbsp;详细的地址不能包含特殊字符");
		return false;
	}else{
	
	  $("#daan").html("填写详细的联系地址");
		return true;
	
	}
}
function Scheckda(){
	obj = $("input[name='CompanyAddress']");
	str = $.trim(obj.val());
	if(str == ""){
		$("#daan").html(errimg+"&nbsp;&nbsp;详细的地址不能为空");
		return false;
	}
	else if(isSearch(str)){
		$("#daan").html(errimg+"&nbsp;&nbsp;详细的地址不能包含特殊字符");
		return false;
	}else{
	
	  $("#daan").html("填写详细的联系地址");
		return true;
	
	}
}
function Gckuname(strname)
{
 
	$.ajax({
	　　　　type:"GET",
	　　　　url:"checkname.aspx",
	　　　　data:'str=gy&name='+strname+'&num='+Math.round(Math.random()*10000),
			error:function(){alert("您的网络不稳定，请重新发表！");},
	　　　　success:function(comments_data1){
	　　　　
			if(comments_data1=="kong"){
				$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能为空");
		 	    return false;
			}
			
			if(comments_data1=="yes"){
			
				$("#uinfo").html(noticeimg);
		 	Gusert = true;
			return true;
			}
			if(comments_data1=="no"){
		
					$("#uinfo").html(errimg+"&nbsp;&nbsp;已存在的用户");
		 	return false;
			}
			if(comments_data1=="err"){
		
					$("#uinfo").html(errimg+"&nbsp;&nbsp;参数传递错误，请重新填写！");
		 	return false;
			}
	　　}
	});
}
function Sckuname(strname)
{
 
	$.ajax({
	　　　　type:"GET",
	　　　　url:"checkSupplyname.aspx",
	　　　　data:'name='+strname+'&num='+Math.round(Math.random()*10000),
			error:function(){alert("您的网络不稳定，请重新发表！");},
	　　　　success:function(comments_data1){
	　　　　
			if(comments_data1=="kong"){
				$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能为空");
		 	    return false;
			}
			if(comments_data1=="zw"){
				$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能使用中文");
		 	    return false;
			}
			if(comments_data1=="yes"){
			
				$("#uinfo").html(noticeimg);
		 	Susert = true;
			return true;
			}
			if(comments_data1=="no"){
		
					$("#uinfo").html(errimg+"&nbsp;&nbsp;已存在的用户");
		 	return false;
			}
			
	　　}
	});
}
function ckuname(strname)
{
 
	$.ajax({
	　　　　type:"GET",
	　　　　url:"checkname.aspx",
	　　　　data:'str=hy&name='+strname+'&num='+Math.round(Math.random()*10000),
			error:function(){alert("您的网络不稳定，请重新发表！");},
	　　　　success:function(comments_data1){
	　　　　
			if(comments_data1=="kong"){
				$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能为空");
		 	    return false;
			}
			
			if(comments_data1=="yes"){
			
				$("#uinfo").html(noticeimg);
		 	usert = true;
			return true;
			}
			if(comments_data1=="no"){
		
					$("#uinfo").html(errimg+"&nbsp;&nbsp;已存在的用户");
		 	return false;
			}
			if(comments_data1=="err"){
		
					$("#uinfo").html(errimg+"&nbsp;&nbsp;参数传递错误，请重新填写！");
		 	return false;
			}
	　　}
	});
}

var emailt = false;
var Gemailt = false;
var Semailt = false;
//检查Email
function checkEmail(){
	obj = $("input[name='txtEmail']");
	str = $.trim(obj.val());
	if(str == "")
	{
	   obj1 = $("input[name='txtEmail1']");
	   str = $.trim(obj1.val());
	}
	if(str == ""){
		$("#einfo").html(errimg+"&nbsp;&nbsp;email不能为空");
		return false;
	}else if(str.search("^(?:\\w+\\.?)*\\w+@(?:\\w+\\.?)*\\w+$")!=0){ 
		$("#einfo").html(errimg+"&nbsp;&nbsp;email格式不对");
		return false;
	}else{
	ckemail(encodeURI(str));
		
	}
}
function GcheckEmail(){
	obj = $("input[name='Email']");
	str = $.trim(obj.val());
	if(str == ""){
		$("#einfo").html(errimg+"&nbsp;&nbsp;email不能为空");
		return false;
	}else if(str.search("^(?:\\w+\\.?)*\\w+@(?:\\w+\\.?)*\\w+$")!=0){ 
		$("#einfo").html(errimg+"&nbsp;&nbsp;email格式不对");
		return false;
	}else{
	Gckemail(encodeURI(str));
		
	}
}
function ScheckEmail(){
	obj = $("input[name='Email']");
	str = $.trim(obj.val());
	if(str == ""){
		$("#einfo").html(errimg+"&nbsp;&nbsp;email不能为空");
		return false;
	}else if(str.search("^(?:\\w+\\.?)*\\w+@(?:\\w+\\.?)*\\w+$")!=0){ 
		$("#einfo").html(errimg+"&nbsp;&nbsp;email格式不对");
		return false;
	}else{
	Sckemail(encodeURI(str));
		
	}
}
function Gckemail(strname)
{
 
	$.ajax({
	　　　　type:"GET",
	　　　　url:"checkname.aspx",
	　　　　data:'lx=gy&str=em&name='+strname+'&num='+Math.round(Math.random()*10000),
			error:function(){alert("您的网络不稳定，请重新发表！");},
	　　　　success:function(comments_data1){
	　　　　
			if(comments_data1=="kong"){
				$("#einfo").html(errimg+"&nbsp;&nbsp;Email不能为空");
		 	    return false;
			}
			
			if(comments_data1=="yes"){
			
				$("#einfo").html(noticeimg);
		 	    Gemailt = true;
			    return true;
			}
			if(comments_data1=="no"){
		
					$("#einfo").html(errimg+"&nbsp;&nbsp;已存在的EMAIL");
		 	return false;
			}
			if(comments_data1=="err"){
		
					$("#einfo").html(errimg+"&nbsp;&nbsp;参数传递错误，请重新填写！");
		 	return false;
			}
	　　}
	});
}
function Sckemail(strname)
{
 
	$.ajax({
	　　　　type:"GET",
	　　　　url:"checkname.aspx",
	　　　　data:'lx=sj&str=em&name='+strname+'&num='+Math.round(Math.random()*10000),
			error:function(){alert("您的网络不稳定，请重新发表！");},
	　　　　success:function(comments_data1){
	　　　
			if(comments_data1=="kong"){
				$("#einfo").html(errimg+"&nbsp;&nbsp;Email不能为空");
		 	    return false;
			}
			
			if(comments_data1=="yes"){
			
				$("#einfo").html(noticeimg);
		 	    Semailt = true;
			    return true;
			}
			if(comments_data1=="no"){
		
					$("#einfo").html(errimg+"&nbsp;&nbsp;已存在的EMAIL");
		 	return false;
			}
			if(comments_data1=="err"){
		
					$("#einfo").html(errimg+"&nbsp;&nbsp;参数传递错误，请重新填写！");
		 	return false;
			}
	　　}
	});
}
function ckemail(strname)
{
 
	$.ajax({
	　　　　type:"GET",
	　　　　url:"checkname.aspx",
	　　　　data:'lx=hy&str=em&name='+strname+'&num='+Math.round(Math.random()*10000),
			error:function(){alert("您的网络不稳定，请重新发表！");},
	　　　　success:function(comments_data1){
	　　　　
			if(comments_data1=="kong"){
				$("#einfo").html(errimg+"&nbsp;&nbsp;Email不能为空");
		 	    return false;
			}
			
			if(comments_data1=="yes"){
			
				$("#einfo").html(noticeimg);
		 	    emailt = true;
			    return true;
			}
			if(comments_data1=="no"){
		
					$("#einfo").html(errimg+"&nbsp;&nbsp;已存在的EMAIL");
		 	return false;
			}
			if(comments_data1=="err"){
		
					$("#einfo").html(errimg+"&nbsp;&nbsp;参数传递错误，请重新填写！");
		 	return false;
			}
	　　}
	});
}
//检查密码
function checkPassword(){
	obj = $("input[name='txtPassword']");
	str = $.trim(obj.val());
	if(str == "")
	{
	   obj1 = $("input[name='txtPassword1']");
	   str = $.trim(obj1.val());
	}
	var reg=/[\u4E00-\u9FA5]/g
	if(str == ""){
		$("#psinfo").addClass("cred");
		$("#psinfo").html(errimg+"&nbsp;&nbsp;密码不能为空");
		return false;
	}else if(str.length <6 || str.length>16){
		$("#psinfo").addClass("cred");
		$("#psinfo").html(errimg+"&nbsp;&nbsp;密码长度应设为6-16位");
		return false;
	}else if(isSearch(str)){
		$("#psinfo").addClass("cred");
		$("#psinfo").html(errimg+"&nbsp;&nbsp;密码不能包含特殊字符");
		return false;
	}else if(reg.test(str)){
		$("#psinfo").html(errimg+"&nbsp;&nbsp;密码不能有中文");
		return false;
	}else{
		$("#psinfo").removeClass();
		$("#psinfo").html(" &nbsp;&nbsp;&nbsp;密码请设为6-16位字母或数字 ");
		
		return true;
	}
}
function GcheckPassword(){
	obj = $("input[name='password']");
	str = $.trim(obj.val());
	var reg=/[\u4E00-\u9FA5]/g
	if(str == ""){
		$("#psinfo").addClass("cred");
		$("#psinfo").html(errimg+"&nbsp;&nbsp;密码不能为空");
		return false;
	}else if(str.length <6 || str.length>16){
		$("#psinfo").addClass("cred");
		$("#psinfo").html(errimg+"&nbsp;&nbsp;密码长度应设为6-16位");
		return false;
	}else if(isSearch(str)){
		$("#psinfo").addClass("cred");
		$("#psinfo").html(errimg+"&nbsp;&nbsp;密码不能包含特殊字符");
		return false;
	}else if(reg.test(str)){
		$("#psinfo").html(errimg+"&nbsp;&nbsp;密码不能有中文");
		return false;
	}else{
		$("#psinfo").removeClass();
		$("#psinfo").html(" &nbsp;&nbsp;&nbsp;密码请设为6-16位字母或数字 ");
		
		return true;
	}
}
function ScheckPassword(){
	obj = $("input[name='password']");
	str = $.trim(obj.val());
	var reg=/[\u4E00-\u9FA5]/g
	if(str == ""){
		$("#psinfo").addClass("cred");
		$("#psinfo").html(errimg+"&nbsp;&nbsp;密码不能为空");
		return false;
	}else if(str.length <6 || str.length>16){
		$("#psinfo").addClass("cred");
		$("#psinfo").html(errimg+"&nbsp;&nbsp;密码长度应设为6-16位");
		return false;
	}else if(isSearch(str)){
		$("#psinfo").addClass("cred");
		$("#psinfo").html(errimg+"&nbsp;&nbsp;密码不能包含特殊字符");
		return false;
	}else if(reg.test(str)){
		$("#psinfo").html(errimg+"&nbsp;&nbsp;密码不能有中文");
		return false;
	}else{
		$("#psinfo").removeClass();
		$("#psinfo").html(" &nbsp;&nbsp;&nbsp;密码请设为6-16位字母或数字 ");
		
		return true;
	}
}
function checkPasswordjy(){
	obj = $("input[name='jypws']");
	str = $.trim(obj.val());
	if(str=="")
	{
	  obj1 = $("input[name='txtjy']");
	str = $.trim(obj1.val());
	}
	var reg=/[\u4E00-\u9FA5]/g
	if(str == ""){
		$("#psinfojy").addClass("cred");
		$("#psinfojy").html(errimg+"&nbsp;&nbsp;交易密码不能为空");
		return false;
	}else if(str.length <6 || str.length>16){
		$("#psinfojy").addClass("cred");
		$("#psinfojy").html(errimg+"&nbsp;&nbsp;密码长度应设为6-16位");
		return false;
	}else if(isSearch(str)){
		$("#psinfojy").addClass("cred");
		$("#psinfojy").html(errimg+"&nbsp;&nbsp;交易密码不能包含特殊字符");
		return false;
	}else if(reg.test(str)){
		$("#psinfojy").html(errimg+"&nbsp;&nbsp;交易密码不能有中文");
		return false;
	}else{
		$("#psinfojy").removeClass();
		$("#psinfojy").html(" &nbsp;&nbsp;&nbsp;交易密码请设为6-16位字母或数字 ");
		
		return true;
	}
}

function checkRepeatPwd(){
	obj = $("input[name='txtPassword2']");
	str = $.trim(obj.val());

	if($("input[name='txtPassword']").val() != str){
		$("#ps2info").addClass("cred");
		$("#ps2info").html(errimg+"&nbsp;&nbsp;两次输入的密码不一致");
		return false;
	}else{
		$("#ps2info").removeClass();
		$("#ps2info").html(" &nbsp;&nbsp;&nbsp;密码请设为6-16位字母或数字 ");
		return true;
	}
}
function checkRepeatPwdk(){
	obj = $("input[name='txtPassword21']");
	str = $.trim(obj.val());

	if($("input[name='txtPassword1']").val() != str){
		$("#ps2info").addClass("cred");
		$("#ps2info").html(errimg+"&nbsp;&nbsp;两次输入的密码不一致");
		return false;
	}else{
		$("#ps2info").removeClass();
		$("#ps2info").html(" &nbsp;&nbsp;&nbsp;密码请设为6-16位字母或数字 ");
		return true;
	}
}
function GcheckRepeatPwd(){
	obj = $("input[name='repassword']");
	str = $.trim(obj.val());
	
	if($("input[name='password']").val() != str){
		$("#ps2info").addClass("cred");
		$("#ps2info").html(errimg+"&nbsp;&nbsp;两次输入的密码不一致");
		return false;
	}else{
		$("#ps2info").removeClass();
		$("#ps2info").html(" &nbsp;&nbsp;&nbsp;密码请设为6-16位字母或数字 ");
		return true;
	}
}
function ScheckRepeatPwd(){
	obj = $("input[name='repassword']");
	str = $.trim(obj.val());
	
	if($("input[name='password']").val() != str){
		$("#ps2info").addClass("cred");
		$("#ps2info").html(errimg+"&nbsp;&nbsp;两次输入的密码不一致");
		return false;
	}else{
		$("#ps2info").removeClass();
		$("#ps2info").html(" &nbsp;&nbsp;&nbsp;密码请设为6-16位字母或数字 ");
		return true;
	}
}
function checkRepeatPwdjy(){
	obj = $("input[name='rejypws']");
	str = $.trim(obj.val());
	
	if($("input[name='jypws']").val() != str){
		$("#ps2infojy").addClass("cred");
		$("#ps2infojy").html(errimg+"&nbsp;&nbsp;交易密码两次输入的密码不一致");
		return false;
	}else{
		$("#ps2infojy").removeClass();
		$("#ps2infojy").html(" &nbsp;&nbsp;&nbsp;交易密码请设为6-16位字母或数字 ");
		
		return true;
	}
}
function isSearch(s){
    var patrn=/[\"\'<>``!@~#$%^&*+-\/\/\/\\//?,.]/;    
    if (patrn.exec(s)){
        return true;
    }
    return false;
}

/*cap = false;
function captcheCheck()
{
	str = $.trim($("input[name='captche']").val());
	if(str =='')
	{
		$("#captinfo").addClass("cred");
		$("#captinfo").text("验证码不能为空");
		cap = false;
		return false;
	}
	else
	{
		$.getJSON("/member/checkcapche/?captche="+str, function(data){
		 if(data.error=="0"){
			$("#captinfo").addClass("cred");
		 	$("#captinfo").text("验证码错误");
			cap = false;
		 	return false;
		 }else{
		 	$("#captinfo").removeClass();
			$("#captinfo").text("");
			cap = true;
			return true;
		 }
		}); 
	}
}*/


issmt = false;
Gissmt = false;
Sissmt = false;
function submitInfo(){
	obj = $("input[name='txtName']");
	str = $.trim(obj.val());
	if(str == ""){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能为空");
		return false;
	}
	obj1 = $("input[name='txtEmail']");
	str1 = $.trim(obj1.val());
	if(str1 == ""){
		$("#einfo").html(errimg+"&nbsp;&nbsp;email不能为空");
		return false;
	}
	if(checkPassword() && checkRepeatPwd() && checkPasswordjy() && checkRepeatPwdjy() && usert==true && issmt == false && emailt == true){
		$("#subinfo").removeClass();
		$("#subinfo").text("");
		issmt = true;
		return true;
	}else{
		return false;
	}
}
function submitInfoo(){
	obj = $("input[name='txtName1']");
	str = $.trim(obj.val());
	if(str == ""){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能为空");
		return false;
	}
	obj1 = $("input[name='txtEmail1']");
	str1 = $.trim(obj1.val());
	if(str1 == ""){
		$("#einfo").html(errimg+"&nbsp;&nbsp;email不能为空");
		return false;
	}
	if(checkPassword() && checkRepeatPwdk() && checkPasswordjy() && usert==true && issmt == false && emailt == true){
		$("#subinfo").removeClass();
		$("#subinfo").text("");
		issmt = true;
		return true;
	}else{
		return false;
	}
}
function GsubmitInfo(){
	obj = $("input[name='username']");
	str = $.trim(obj.val());
	if(str == ""){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能为空");
		return false;
	}
	obj1 = $("input[name='Email']");
	str1 = $.trim(obj1.val());
	if(str1 == ""){
		$("#einfo").html(errimg+"&nbsp;&nbsp;email不能为空");
		return false;
	}
	if(GcheckPassword() && GcheckRepeatPwd()&& Gchecktel() && Gcheckman() && Gcheckmob() && Gcheckque() && Gcheckda() && Gusert==true && Gissmt == false && Gemailt == true){
		$("#subinfo").removeClass();
		$("#subinfo").text("");
		Gissmt = true;
		return true;
	}else{
		return false;
	}
}
function SsubmitInfo(){
	obj = $("input[name='username']");
	str = $.trim(obj.val());
	if(str == ""){
		$("#uinfo").html(errimg+"&nbsp;&nbsp;用户名不能为空");
		return false;
	}
	obj1 = $("input[name='Email']");
	str1 = $.trim(obj1.val());
	if(str1 == ""){
		$("#einfo").html(errimg+"&nbsp;&nbsp;email不能为空");
		return false;
	}
	if(ScheckPassword() && ScheckRepeatPwd()&& Schecktel() && Scheckman() && Scheckmob() && Scheckqq() && Scheckdp() && Scheckque() && Scheckda() && Susert==true && Sissmt == false && Semailt == true){
		$("#subinfo").removeClass();
		$("#subinfo").text("");
		Sissmt = true;
		return true;
	}else{
		return false;
	}
}